org.apache.olingo.odata2.jpa.processor.api.jpql

## Interface JPQLContextView

- All Known Subinterfaces:
    JPQLJoinContextView, JPQLJoinSelectSingleContextView, JPQLSelectContextView, JPQLSelectSingleContextView
  All Known Implementing Classes:
    JPQLContext

      public interface JPQLContextView

  The interface provides a view on JPQL Context. The view can be used to access different JPQL context type implementations.
  See Also:
    `JPQLContextType`, `JPQLContextType`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJPAEntityAlias()` The method returns a JPA entity alias name for which the JPQL context is relevant.
    `String` | `getJPAEntityName()` The method returns a JPA entity name for which the JPQL context is relevant.
    `String` | `getJPQLStatement()` Return the JPQL Statement set in context
    `JPQLContextType` | `getType()` The method returns a JPQL context type
    `void` | `setJPQLStatement(String jpqlStatement)` Set the JPQL Statement to the context

- - ### Method Detail

    - #### getJPAEntityName

          String getJPAEntityName()

      The method returns a JPA entity name for which the JPQL context is relevant.
      Returns:
        JPA entity name

    - #### getJPAEntityAlias

          String getJPAEntityAlias()

      The method returns a JPA entity alias name for which the JPQL context is relevant.
      Returns:
        JPA entity alias name

    - #### getType

          JPQLContextType getType()

      The method returns a JPQL context type
      Returns:
        an instance of type `JPQLContextType`

    - #### setJPQLStatement

          void setJPQLStatement(String jpqlStatement)

      Set the JPQL Statement to the context
      Parameters:
        `jpqlStatement` -

    - #### getJPQLStatement

          String getJPQLStatement()

      Return the JPQL Statement set in context
      Returns:
        String JPQLStatement

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.